TechDraw Quadrants: Difference between revisions

From FreeCAD Documentation
No edit summary
(deletion info)
Line 35: Line 35:
<!--T:10-->
<!--T:10-->
# Select one or more (circular) Edges in a View.
# Select one or more (circular) Edges in a View.
# Press the {{Button|[[Image:TechDraw_Quadrants.svg|16px]] [[TechDraw_Quadrants|Add Quadrant Vertices]]}} button.
# Press the {{Button|[[Image:TechDraw_Quadrants.svg|16px]] Add Quadrant Vertices}} button.
# Cosmetic vertices will be added at the quarter-points of the edges.
# Cosmetic vertices will be added at the quarter-points of the edges.


<!--T:18-->
<!--T:18-->
This tool can be used on any edge, not just circles.
'''Note:''' This tool can be used on any edge, not just circles.

To delete a Quadrant Vertex, select it and use the toolbar button {{Button|[[Image:TechDraw_CosmeticEraser.svg|16px]] [[TechDraw_CosmeticEraser|Remove Cosmetic Object]]}}.


==Properties== <!--T:19-->
==Properties== <!--T:19-->

Revision as of 12:28, 29 March 2020

TechDraw Quadrants

Menu location
TechDraw → Add Vertices → Add Quadrant Vertices
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
Add Cosmetic Vertex, Add Midpoint Vertices

Description

The Quadrant tool adds Cosmetic Vertices at the 90/180/270° points of a circular edge. The 0° vertex should already be there as a geometric vertex.

Cosmetic vertices at quadrant points of a circle

Usage

  1. Select one or more (circular) Edges in a View.
  2. Press the Add Quadrant Vertices button.
  3. Cosmetic vertices will be added at the quarter-points of the edges.

Note: This tool can be used on any edge, not just circles.

To delete a Quadrant Vertex, select it and use the toolbar button Remove Cosmetic Object.

Properties

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()